<?php
    if (!$course) {
        return;
    }
    $course = $course ?? null;
    $reviews = review($course);
    $translations = parse_translation($course);
    $auth = authCheck();
    if ($auth) {
        $purchaseCheck = purchaseCheck($course->id, 'course');
    }

?>
<?php if (isset($component)) { $__componentOriginal4ea3ceba530d619a977e9c813ff095c4 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal4ea3ceba530d619a977e9c813ff095c4 = $attributes; } ?>
<?php $component = Modules\LMS\View\Components\Frontend\Layout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('frontend-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Modules\LMS\View\Components\Frontend\Layout::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <?php $__env->startPush('css'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('lms/frontend/assets/vendor/css/plyr.min.css')); ?>">
    <?php $__env->stopPush(); ?>
    <?php if (isset($component)) { $__componentOriginal633e9714cbfc155a1e1afb58682cfb8f = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal633e9714cbfc155a1e1afb58682cfb8f = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::breadcrumbs.breadcrumb-one','data' => ['pageTitle' => 'Course Details','pageName' => 'Course Details']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::breadcrumbs.breadcrumb-one'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['pageTitle' => 'Course Details','pageName' => 'Course Details']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal633e9714cbfc155a1e1afb58682cfb8f)): ?>
<?php $attributes = $__attributesOriginal633e9714cbfc155a1e1afb58682cfb8f; ?>
<?php unset($__attributesOriginal633e9714cbfc155a1e1afb58682cfb8f); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal633e9714cbfc155a1e1afb58682cfb8f)): ?>
<?php $component = $__componentOriginal633e9714cbfc155a1e1afb58682cfb8f; ?>
<?php unset($__componentOriginal633e9714cbfc155a1e1afb58682cfb8f); ?>
<?php endif; ?>
    <!-- START INNER CONTENT AREA -->
    <div class="container">
        <div class="grid grid-cols-12 gap-5">
            <!-- START COURSE DETAILS -->
            <div class="col-span-full lg:col-span-8">
                <div class="flex items-start gap-2.5">
                    <div class="flex items-center gap-0.5 text-secondary">
                        <?php echo show_rating($reviews['average_rating']); ?>

                    </div>
                    <span class="text-heading/70 text-sm font-medium leading-none">(<?php echo e($reviews['total_rating'] ?? 0); ?>)
                        <?php echo e(translate('Rating')); ?>

                    </span>
                </div>
                <h2 class="area-title xl:text-[40px] mt-4">
                    <?php echo e($translations['title'] ?? ($course->title ?? '')); ?>

                </h2>
                <p class="area-description text-heading/80 mt-3">
                    <?php echo clean($translations['short_description'] ?? ($course->short_description ?? '')); ?>

                </p>
                <div class="mt-7 pt-4 border-t border-border">
                    <div class="flex items-center gap-5 flex-wrap divide-x rtl:divide-x-reverse divide-border">
                        <?php $__currentLoopData = $course->instructors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $instructor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($loop->first): ?>
                                <?php
                                    $user = $instructor->userable ?? null;
                                    $profile_img = $user?->profile_img ?? null;
                                    $profileImg =
                                        $profile_img && fileExists('lms/instructors', $profile_img) == true
                                            ? asset('storage/lms/instructors/' . $profile_img)
                                            : asset('lms/frontend/assets/images/370x396.svg');

                                    $userTranslations = parse_translation($user);

                                    if ($userTranslations) {
                                        $name = $userTranslations['first_name'] . ' ' . $userTranslations['last_name'];
                                    }
                                ?>
                                <a href="<?php echo e(route('users.detail', $instructor->id)); ?>"
                                    class="flex items-center gap-2.5 hover:underline">
                                    <div class="size-8 rounded-50 overflow-hidden shrink-0">
                                        <img data-src="<?php echo e($profileImg); ?>" alt="Instructor profile image"
                                            class="size-full object-cover">
                                    </div>
                                    <h6 class="leading-none text-heading dark:text-white font-semibold line-clamp-1">
                                        <?php echo e($name ?? $user?->first_name . ' ' . $user?->last_name); ?></h6>
                                    </h6>
                                </a>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <div class="flex items-center gap-3 flex-wrap pl-5 rtl:pl-0 rtl:pr-5">
                            <!-- COURSE LABEL -->
                            <?php $__currentLoopData = $course->levels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $level): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php $levelTranslations = parse_translation($level); ?>
                                <div class="badge b-solid badge-secondary-solid rounded-full !text-heading">
                                    <?php echo e($levelTranslations['name'] ?? ($level->name ?? '')); ?></div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <!-- COURSE CATEGORY -->
                            <?php if($course?->category): ?>
                                <?php $categoryTranslations = parse_translation($course->category); ?>
                                <div class="badge badge-heading-outline b-outline rounded-full shrink-0">
                                    <?php echo e($categoryTranslations['title'] ?? ($course?->category?->title ?? '')); ?></div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <!-- COURSE DETAILS TAB -->
                <div class="mt-[60px]">
                    <div class="dashkit-tab bg-primary-50 flex items-center flex-wrap gap-4 p-4 rounded-t-xl border-b border-primary"
                        id="courseDetailsTab">
                        <button type="button" aria-label="Course Overview tab"
                            class="dashkit-tab-btn btn b-outline btn-primary-outline rounded-full [&.active]:bg-primary [&.active]:text-white [&.active]:border-transparent shrink-0 active"
                            id="courseOverview">
                            <?php echo e(translate('Course Overview')); ?>

                        </button>
                        <button type="button" aria-label="Course Curriculum tab"
                            class="dashkit-tab-btn btn b-outline btn-primary-outline rounded-full [&.active]:bg-primary [&.active]:text-white [&.active]:border-transparent shrink-0"
                            id="courseCurriculum">
                            <?php echo e(translate('Curriculum')); ?>

                        </button>
                        <button type="button" aria-label="Course Instructor tab"
                            class="dashkit-tab-btn btn b-outline btn-primary-outline rounded-full [&.active]:bg-primary [&.active]:text-white [&.active]:border-transparent shrink-0"
                            id="courseInstructor">
                            <?php echo e(translate('Instructor')); ?>

                        </button>
                        <button type="button" aria-label="Course Review tab"
                            class="dashkit-tab-btn btn b-outline btn-primary-outline rounded-full [&.active]:bg-primary [&.active]:text-white [&.active]:border-transparent shrink-0"
                            id="courseReview">
                            <?php echo e(translate('Reviews')); ?>

                        </button>
                    </div>
                    <div class="dashkit-tab-content mt-[60px] *:hidden" id="courseDetailsTabContent">
                        <!-- COURSE OVERVIEW CONTENT -->
                        <div class="dashkit-tab-pane course-details-tab-content [&>:not(:first-child)]:mt-10 !block"
                            data-tab="courseOverview">
                            <?php if (isset($component)) { $__componentOriginal48e532769d52ae5e9e2078ee9204f4ab = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal48e532769d52ae5e9e2078ee9204f4ab = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.details.course-overview','data' => ['course' => $course,'translations' => $translations]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.details.course-overview'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course),'translations' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($translations)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal48e532769d52ae5e9e2078ee9204f4ab)): ?>
<?php $attributes = $__attributesOriginal48e532769d52ae5e9e2078ee9204f4ab; ?>
<?php unset($__attributesOriginal48e532769d52ae5e9e2078ee9204f4ab); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal48e532769d52ae5e9e2078ee9204f4ab)): ?>
<?php $component = $__componentOriginal48e532769d52ae5e9e2078ee9204f4ab; ?>
<?php unset($__componentOriginal48e532769d52ae5e9e2078ee9204f4ab); ?>
<?php endif; ?>

                            <?php if (isset($component)) { $__componentOriginalb0b5197d66710eda2c56ad7104beee43 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalb0b5197d66710eda2c56ad7104beee43 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.details.course-outcome','data' => ['course' => $course]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.details.course-outcome'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalb0b5197d66710eda2c56ad7104beee43)): ?>
<?php $attributes = $__attributesOriginalb0b5197d66710eda2c56ad7104beee43; ?>
<?php unset($__attributesOriginalb0b5197d66710eda2c56ad7104beee43); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalb0b5197d66710eda2c56ad7104beee43)): ?>
<?php $component = $__componentOriginalb0b5197d66710eda2c56ad7104beee43; ?>
<?php unset($__componentOriginalb0b5197d66710eda2c56ad7104beee43); ?>
<?php endif; ?>

                            <?php if (isset($component)) { $__componentOriginald7e9b19b03a47ac6f778653c309d7a19 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginald7e9b19b03a47ac6f778653c309d7a19 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.details.course-requirement','data' => ['course' => $course]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.details.course-requirement'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginald7e9b19b03a47ac6f778653c309d7a19)): ?>
<?php $attributes = $__attributesOriginald7e9b19b03a47ac6f778653c309d7a19; ?>
<?php unset($__attributesOriginald7e9b19b03a47ac6f778653c309d7a19); ?>
<?php endif; ?>
<?php if (isset($__componentOriginald7e9b19b03a47ac6f778653c309d7a19)): ?>
<?php $component = $__componentOriginald7e9b19b03a47ac6f778653c309d7a19; ?>
<?php unset($__componentOriginald7e9b19b03a47ac6f778653c309d7a19); ?>
<?php endif; ?>

                            <?php if (isset($component)) { $__componentOriginal6468f30f9071c809d88baa5293e8f22d = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal6468f30f9071c809d88baa5293e8f22d = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.details.course-faq','data' => ['course' => $course]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.details.course-faq'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal6468f30f9071c809d88baa5293e8f22d)): ?>
<?php $attributes = $__attributesOriginal6468f30f9071c809d88baa5293e8f22d; ?>
<?php unset($__attributesOriginal6468f30f9071c809d88baa5293e8f22d); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal6468f30f9071c809d88baa5293e8f22d)): ?>
<?php $component = $__componentOriginal6468f30f9071c809d88baa5293e8f22d; ?>
<?php unset($__componentOriginal6468f30f9071c809d88baa5293e8f22d); ?>
<?php endif; ?>
                        </div>

                        <!-- COURSE CURRICULUM CONTENT -->
                        <?php if (isset($component)) { $__componentOriginalef3081a1f7ad5f92e047e92f8cc7a777 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalef3081a1f7ad5f92e047e92f8cc7a777 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.details.course-curriculum','data' => ['course' => $course,'auth' => $auth ?? false,'purchaseCheck' => $purchaseCheck ?? false]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.details.course-curriculum'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course),'auth' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($auth ?? false),'purchaseCheck' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($purchaseCheck ?? false)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalef3081a1f7ad5f92e047e92f8cc7a777)): ?>
<?php $attributes = $__attributesOriginalef3081a1f7ad5f92e047e92f8cc7a777; ?>
<?php unset($__attributesOriginalef3081a1f7ad5f92e047e92f8cc7a777); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalef3081a1f7ad5f92e047e92f8cc7a777)): ?>
<?php $component = $__componentOriginalef3081a1f7ad5f92e047e92f8cc7a777; ?>
<?php unset($__componentOriginalef3081a1f7ad5f92e047e92f8cc7a777); ?>
<?php endif; ?>

                        <!-- COURSE INSTRUCTOR CONTENT -->
                        <div class="dashkit-tab-pane course-details-tab-content [&>:not(:first-child)]:mt-10"
                            data-tab="courseInstructor">
                            <?php if (isset($component)) { $__componentOriginalc390a1b03ebf8726045de56d42955204 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalc390a1b03ebf8726045de56d42955204 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.details.course-instructor','data' => ['course' => $course]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.details.course-instructor'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalc390a1b03ebf8726045de56d42955204)): ?>
<?php $attributes = $__attributesOriginalc390a1b03ebf8726045de56d42955204; ?>
<?php unset($__attributesOriginalc390a1b03ebf8726045de56d42955204); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc390a1b03ebf8726045de56d42955204)): ?>
<?php $component = $__componentOriginalc390a1b03ebf8726045de56d42955204; ?>
<?php unset($__componentOriginalc390a1b03ebf8726045de56d42955204); ?>
<?php endif; ?>
                        </div>

                        <!-- COURSE REVIEWS CONTENT -->
                        <div class="dashkit-tab-pane course-details-tab-content [&>:not(:first-child)]:mt-10"
                            data-tab="courseReview">
                            <?php if (isset($component)) { $__componentOriginal047007e00480fe7855541ad5f1b31810 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal047007e00480fe7855541ad5f1b31810 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.details.course-review','data' => ['course' => $course]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.details.course-review'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal047007e00480fe7855541ad5f1b31810)): ?>
<?php $attributes = $__attributesOriginal047007e00480fe7855541ad5f1b31810; ?>
<?php unset($__attributesOriginal047007e00480fe7855541ad5f1b31810); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal047007e00480fe7855541ad5f1b31810)): ?>
<?php $component = $__componentOriginal047007e00480fe7855541ad5f1b31810; ?>
<?php unset($__componentOriginal047007e00480fe7855541ad5f1b31810); ?>
<?php endif; ?>
                            <?php if (isset($component)) { $__componentOriginal87fb781e779a0ec3af0cc35948bf3eea = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal87fb781e779a0ec3af0cc35948bf3eea = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.details.course-comment','data' => ['course' => $course,'auth' => $auth ?? false,'purchaseCheck' => $purchaseCheck ?? false]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.details.course-comment'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course),'auth' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($auth ?? false),'purchaseCheck' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($purchaseCheck ?? false)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal87fb781e779a0ec3af0cc35948bf3eea)): ?>
<?php $attributes = $__attributesOriginal87fb781e779a0ec3af0cc35948bf3eea; ?>
<?php unset($__attributesOriginal87fb781e779a0ec3af0cc35948bf3eea); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal87fb781e779a0ec3af0cc35948bf3eea)): ?>
<?php $component = $__componentOriginal87fb781e779a0ec3af0cc35948bf3eea; ?>
<?php unset($__componentOriginal87fb781e779a0ec3af0cc35948bf3eea); ?>
<?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
            <!-- END COURSE DETAILS -->

            <!-- START CONTENT -->
            <?php if (isset($component)) { $__componentOriginal1852e38714e8c3815d76b3c2dd19e230 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal1852e38714e8c3815d76b3c2dd19e230 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.details.sidebar','data' => ['course' => $course,'auth' => $auth ?? false,'purchaseCheck' => $purchaseCheck ?? false,'hasPurchase' => $hasPurchase]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.details.sidebar'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course),'auth' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($auth ?? false),'purchaseCheck' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($purchaseCheck ?? false),'hasPurchase' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($hasPurchase)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal1852e38714e8c3815d76b3c2dd19e230)): ?>
<?php $attributes = $__attributesOriginal1852e38714e8c3815d76b3c2dd19e230; ?>
<?php unset($__attributesOriginal1852e38714e8c3815d76b3c2dd19e230); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal1852e38714e8c3815d76b3c2dd19e230)): ?>
<?php $component = $__componentOriginal1852e38714e8c3815d76b3c2dd19e230; ?>
<?php unset($__componentOriginal1852e38714e8c3815d76b3c2dd19e230); ?>
<?php endif; ?>
            <!-- END CONTENT -->
        </div>
        <!-- START RELATED COURSE AREA -->
        <?php if($relatedCourses->count() > 0): ?>
            <?php if (isset($component)) { $__componentOriginala5ccf664539d6c6d5a4d2692bf29f47b = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginala5ccf664539d6c6d5a4d2692bf29f47b = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.related-course','data' => ['courses' => $relatedCourses]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.related-course'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['courses' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($relatedCourses)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginala5ccf664539d6c6d5a4d2692bf29f47b)): ?>
<?php $attributes = $__attributesOriginala5ccf664539d6c6d5a4d2692bf29f47b; ?>
<?php unset($__attributesOriginala5ccf664539d6c6d5a4d2692bf29f47b); ?>
<?php endif; ?>
<?php if (isset($__componentOriginala5ccf664539d6c6d5a4d2692bf29f47b)): ?>
<?php $component = $__componentOriginala5ccf664539d6c6d5a4d2692bf29f47b; ?>
<?php unset($__componentOriginala5ccf664539d6c6d5a4d2692bf29f47b); ?>
<?php endif; ?>
        <?php endif; ?>
        <!-- END RELATED COURSE AREA -->
    </div>
    <!-- END INNER CONTENT AREA -->

    <?php $__env->startPush('js'); ?>
        <script src="<?php echo e(asset('lms/frontend/assets/vendor/js/plyr.min.js')); ?>"></script>
        <script src="<?php echo e(edulab_asset('lms/frontend/assets/js/modal.js')); ?>"></script>
        <script src="<?php echo e(edulab_asset('lms/frontend/assets/js/video-play.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal4ea3ceba530d619a977e9c813ff095c4)): ?>
<?php $attributes = $__attributesOriginal4ea3ceba530d619a977e9c813ff095c4; ?>
<?php unset($__attributesOriginal4ea3ceba530d619a977e9c813ff095c4); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal4ea3ceba530d619a977e9c813ff095c4)): ?>
<?php $component = $__componentOriginal4ea3ceba530d619a977e9c813ff095c4; ?>
<?php unset($__componentOriginal4ea3ceba530d619a977e9c813ff095c4); ?>
<?php endif; ?>
<?php /**PATH D:\www\edulab\Modules\LMS\resources\views\theme\course\course-detail.blade.php ENDPATH**/ ?>