<?php
    $auth = authCheck();
    if ($auth) {
        $purchaseCheck = purchaseCheck($course->id, 'course');
    }
?>

<?php echo $__env->make('theme::layouts.partials.head', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?>
<link rel="stylesheet" href="<?php echo e(asset('lms/frontend/assets/vendor/css/plyr.min.css')); ?>">

<body>
    <?php echo $__env->make('theme::layouts.partials.header', [
        'style' => 'one',
        'class' => "flex-center bg-primary-50 shadow-md py-4 fixed inset-0 h-[theme('spacing.header')] z-[101]",
        'data' => [
            'components' => [
                'inner-header-top' => '',
            ],
            'header_class' =>
                "flex-center bg-primary-50 shadow-md py-4 fixed inset-0 h-[theme('spacing.header')] z-[101]",
        ],
    ], array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?>
    <!-- END HEADER AREA -->
    <main>
        <div class="flex mb-16 sm:mb-24 lg:mb-[120px]">
            <!-- START COURSE VIDEO AREA -->
            <div class="relative p-3 mt-[theme('spacing.header')] w-[100%] lg:w-[calc(100%_-_19.5rem)] xl:w-[calc(100%_-_28.6rem)] overflow-hidden z-10">
                <div class="relative overflow-hidden">
                    <!-- COURSE CONTENT BUTTON FOR SMALL DEVICE -->
                    <div class="flex-center lg:hidden shrink-0 absolute top-0 right-0 translate-x-[128px] hover:translate-x-0 z-10 custom-transition">
                        <button type="button" aria-label="Course off-canvas drawer"
                            data-offcanvas-id="course-content-drawer"
                            class="btn b-solid bg-heading !text-white font-normal border border-gray-500 rounded-none">
                            <i class="ri-arrow-left-line"></i>
                            <?php echo e(translate('Course Content')); ?>

                        </button>
                    </div>
                    <div class="rounded-xl overflow-hidden curriculum-content">
                        <?php if (isset($component)) { $__componentOriginal9ddcc1f8e9770226bcf364ad4ac1bbdd = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal9ddcc1f8e9770226bcf364ad4ac1bbdd = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.details.video-play','data' => ['course' => $course]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.details.video-play'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal9ddcc1f8e9770226bcf364ad4ac1bbdd)): ?>
<?php $attributes = $__attributesOriginal9ddcc1f8e9770226bcf364ad4ac1bbdd; ?>
<?php unset($__attributesOriginal9ddcc1f8e9770226bcf364ad4ac1bbdd); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ddcc1f8e9770226bcf364ad4ac1bbdd)): ?>
<?php $component = $__componentOriginal9ddcc1f8e9770226bcf364ad4ac1bbdd; ?>
<?php unset($__componentOriginal9ddcc1f8e9770226bcf364ad4ac1bbdd); ?>
<?php endif; ?>
                    </div>
                </div>
                <!-- COURSE DETAILS TAB -->
                <div class="mt-6">
                    <div class="dashkit-tab bg-primary-50 flex items-center justify-center flex-wrap gap-3 p-3 rounded-lg"
                        id="courseDetailsTab">
                        <button type="button" aria-label="Course overview tab"
                            class="dashkit-tab-btn btn b-outline btn-primary-outline rounded-full [&.active]:bg-primary [&.active]:text-white [&.active]:border-transparent shrink-0 active"
                            id="courseOverview"><?php echo e(translate('Course Overview')); ?></button>
                        <button type="button" aria-label="Course assignment tab"
                            class="dashkit-tab-btn btn b-outline btn-primary-outline rounded-full [&.active]:bg-primary [&.active]:text-white [&.active]:border-transparent shrink-0"
                            id="courseAssignment"><?php echo e(translate('Assignments')); ?>

                            <span>(<?php echo e(count($assignments) ?? 0); ?>)</span></button>
                        <button type="button" aria-label="Course review tab"
                            class="dashkit-tab-btn btn b-outline btn-primary-outline rounded-full [&.active]:bg-primary [&.active]:text-white [&.active]:border-transparent shrink-0"
                            id="courseReview"><?php echo e(translate('Reviews')); ?></button>
                    </div>
                    <div class="dashkit-tab-content mt-7 *:hidden container max-w-screen-lg"
                        id="courseDetailsTabContent">
                        <!-- COURSE OVERVIEW CONTENT -->
                        <div class="dashkit-tab-pane course-details-tab-content [&>:not(:first-child)]:mt-10 [&>:not(:first-child)]:pt-10 [&>:not(:first-child)]:border-t [&>:not(:first-child)]:border-border !block"
                            data-tab="courseOverview">
                            <?php if (isset($component)) { $__componentOriginalcd6a7507402c062ee716441d5dacc09f = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalcd6a7507402c062ee716441d5dacc09f = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.short-info','data' => ['course' => $course]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.short-info'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalcd6a7507402c062ee716441d5dacc09f)): ?>
<?php $attributes = $__attributesOriginalcd6a7507402c062ee716441d5dacc09f; ?>
<?php unset($__attributesOriginalcd6a7507402c062ee716441d5dacc09f); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalcd6a7507402c062ee716441d5dacc09f)): ?>
<?php $component = $__componentOriginalcd6a7507402c062ee716441d5dacc09f; ?>
<?php unset($__componentOriginalcd6a7507402c062ee716441d5dacc09f); ?>
<?php endif; ?>
                            <?php if (isset($component)) { $__componentOriginal48e532769d52ae5e9e2078ee9204f4ab = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal48e532769d52ae5e9e2078ee9204f4ab = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.details.course-overview','data' => ['course' => $course]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.details.course-overview'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal48e532769d52ae5e9e2078ee9204f4ab)): ?>
<?php $attributes = $__attributesOriginal48e532769d52ae5e9e2078ee9204f4ab; ?>
<?php unset($__attributesOriginal48e532769d52ae5e9e2078ee9204f4ab); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal48e532769d52ae5e9e2078ee9204f4ab)): ?>
<?php $component = $__componentOriginal48e532769d52ae5e9e2078ee9204f4ab; ?>
<?php unset($__componentOriginal48e532769d52ae5e9e2078ee9204f4ab); ?>
<?php endif; ?>
                            <?php if (isset($component)) { $__componentOriginalc390a1b03ebf8726045de56d42955204 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalc390a1b03ebf8726045de56d42955204 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.details.course-instructor','data' => ['course' => $course]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.details.course-instructor'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalc390a1b03ebf8726045de56d42955204)): ?>
<?php $attributes = $__attributesOriginalc390a1b03ebf8726045de56d42955204; ?>
<?php unset($__attributesOriginalc390a1b03ebf8726045de56d42955204); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc390a1b03ebf8726045de56d42955204)): ?>
<?php $component = $__componentOriginalc390a1b03ebf8726045de56d42955204; ?>
<?php unset($__componentOriginalc390a1b03ebf8726045de56d42955204); ?>
<?php endif; ?>
                        </div>
                        <!-- COURSE ASSIGNMENT CONTENT -->
                        <div class="dashkit-tab-pane course-details-tab-content [&>:not(:first-child)]:mt-10 [&>:not(:first-child)]:pt-10 [&>:not(:first-child)]:border-t [&>:not(:first-child)]:border-border"
                            data-tab="courseAssignment">
                            <?php if(count($assignments) > 0): ?>
                                <?php if (isset($component)) { $__componentOriginal7daa9f7874d1e4f8db65ae942f13bfed = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal7daa9f7874d1e4f8db65ae942f13bfed = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.assignment','data' => ['assignments' => $assignments]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.assignment'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['assignments' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($assignments)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal7daa9f7874d1e4f8db65ae942f13bfed)): ?>
<?php $attributes = $__attributesOriginal7daa9f7874d1e4f8db65ae942f13bfed; ?>
<?php unset($__attributesOriginal7daa9f7874d1e4f8db65ae942f13bfed); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal7daa9f7874d1e4f8db65ae942f13bfed)): ?>
<?php $component = $__componentOriginal7daa9f7874d1e4f8db65ae942f13bfed; ?>
<?php unset($__componentOriginal7daa9f7874d1e4f8db65ae942f13bfed); ?>
<?php endif; ?>
                            <?php else: ?>
                                <?php if (isset($component)) { $__componentOriginal9e05e2178cc5d33c3d1a97a50bea5f28 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal9e05e2178cc5d33c3d1a97a50bea5f28 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::cards.empty','data' => ['title' => 'No assignment','description' => 'This course does not include any mandatory assignments, allowing you to focus on learning at your own pace without the pressure of submissions.']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::cards.empty'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['title' => 'No assignment','description' => 'This course does not include any mandatory assignments, allowing you to focus on learning at your own pace without the pressure of submissions.']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal9e05e2178cc5d33c3d1a97a50bea5f28)): ?>
<?php $attributes = $__attributesOriginal9e05e2178cc5d33c3d1a97a50bea5f28; ?>
<?php unset($__attributesOriginal9e05e2178cc5d33c3d1a97a50bea5f28); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9e05e2178cc5d33c3d1a97a50bea5f28)): ?>
<?php $component = $__componentOriginal9e05e2178cc5d33c3d1a97a50bea5f28; ?>
<?php unset($__componentOriginal9e05e2178cc5d33c3d1a97a50bea5f28); ?>
<?php endif; ?>
                            <?php endif; ?>
                        </div>
                        <!-- COURSE REVIEWS CONTENT -->
                        <div class="dashkit-tab-pane course-details-tab-content [&>:not(:first-child)]:mt-10 [&>:not(:first-child)]:pt-10 [&>:not(:first-child)]:border-t [&>:not(:first-child)]:border-border "
                            data-tab="courseReview">
                            <?php if (isset($component)) { $__componentOriginal047007e00480fe7855541ad5f1b31810 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal047007e00480fe7855541ad5f1b31810 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.details.course-review','data' => ['course' => $course]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.details.course-review'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal047007e00480fe7855541ad5f1b31810)): ?>
<?php $attributes = $__attributesOriginal047007e00480fe7855541ad5f1b31810; ?>
<?php unset($__attributesOriginal047007e00480fe7855541ad5f1b31810); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal047007e00480fe7855541ad5f1b31810)): ?>
<?php $component = $__componentOriginal047007e00480fe7855541ad5f1b31810; ?>
<?php unset($__componentOriginal047007e00480fe7855541ad5f1b31810); ?>
<?php endif; ?>

                            <?php if (isset($component)) { $__componentOriginal87fb781e779a0ec3af0cc35948bf3eea = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal87fb781e779a0ec3af0cc35948bf3eea = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.details.course-comment','data' => ['course' => $course,'auth' => $auth ?? false,'purchaseCheck' => $purchaseCheck ?? false]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.details.course-comment'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course),'auth' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($auth ?? false),'purchaseCheck' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($purchaseCheck ?? false)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal87fb781e779a0ec3af0cc35948bf3eea)): ?>
<?php $attributes = $__attributesOriginal87fb781e779a0ec3af0cc35948bf3eea; ?>
<?php unset($__attributesOriginal87fb781e779a0ec3af0cc35948bf3eea); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal87fb781e779a0ec3af0cc35948bf3eea)): ?>
<?php $component = $__componentOriginal87fb781e779a0ec3af0cc35948bf3eea; ?>
<?php unset($__componentOriginal87fb781e779a0ec3af0cc35948bf3eea); ?>
<?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
            <!-- COURSE CONTENT AREA -->
            <?php if (isset($component)) { $__componentOriginalec387c031cc83e6a08f5fd3e3b909b0b = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalec387c031cc83e6a08f5fd3e3b909b0b = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'f484570d7cf557020e11ace406901b10::course.topic-sidebar','data' => ['course' => $course,'data' => $data,'auth' => $auth ?? false,'purchaseCheck' => $purchaseCheck ?? false]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('theme::course.topic-sidebar'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['course' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($course),'data' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($data),'auth' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($auth ?? false),'purchaseCheck' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($purchaseCheck ?? false)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalec387c031cc83e6a08f5fd3e3b909b0b)): ?>
<?php $attributes = $__attributesOriginalec387c031cc83e6a08f5fd3e3b909b0b; ?>
<?php unset($__attributesOriginalec387c031cc83e6a08f5fd3e3b909b0b); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalec387c031cc83e6a08f5fd3e3b909b0b)): ?>
<?php $component = $__componentOriginalec387c031cc83e6a08f5fd3e3b909b0b; ?>
<?php unset($__componentOriginalec387c031cc83e6a08f5fd3e3b909b0b); ?>
<?php endif; ?>
        </div>
    </main>

    <!-- END FOOTER AREA -->
    <?php echo $__env->make('theme::layouts.partials.footer-script', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?>
    <script src="<?php echo e(asset('lms/frontend/assets/vendor/js/plyr.min.js')); ?>"></script>
    <script src="<?php echo e(edulab_asset('lms/frontend/assets/js/video-play.js')); ?>"></script>
</body>

</html>
<?php /**PATH D:\www\edulab\Modules\LMS\resources\views\theme\course\course-video.blade.php ENDPATH**/ ?>